void main(){
	void vSelf = getplayerproperty(0, "entity");
	void vName = getentityproperty(vSelf,"name");
	int iPlIndex = 0;
	int r = getentityproperty(vSelf, "rush_count");
	void vAniID = getentityproperty(vSelf,"animationID");
	void vHeal = getentityproperty(vSelf,"health");
	void vAniPos = getentityproperty(vSelf, "animpos");
	void vCrd = getplayerproperty(vSelf, "credits", 0 + getglobalvar("credits"));
	void vLives = getplayerproperty(vSelf,"lives", 0 + getglobalvar("lives"));
	int iScore = getplayerproperty(vSelf, "score", 0 + getglobalvar("score"));
	void vCont = openborvariant("count_players");
	void iUp = playerkeys(iPlIndex, 0, "moveup");
	void iDown = playerkeys(iPlIndex, 0, "movedown");
	void iLeft = playerkeys(iPlIndex, 0, "moveleft");
	void iRight = playerkeys(iPlIndex, 0, "moveright");
	void iJump = playerkeys(iPlIndex, 0, "jump");
	void iSpecial = playerkeys(iPlIndex, 0, "Special");
	void iAttack = playerkeys(iPlIndex, 0, "attack");
	void iUpR = playerkeys(iPlIndex, 2, "moveup");
	void iDownR = playerkeys(iPlIndex, 2, "movedown");
	void iLeftR = playerkeys(iPlIndex, 2, "moveleft");
	void iRightR = playerkeys(iPlIndex, 2, "moveright");
	void iJumpR = playerkeys(iPlIndex, 2, "jump");
	void iSpecialR = playerkeys(iPlIndex, 2, "Special");
	void iAttackR = playerkeys(iPlIndex, 2, "attack");
	void vSelf2 = getplayerproperty(1, "entity");
	void vName2 = getentityproperty(vSelf2,"name");
	int iP2Index = 1;
	int r2 = getentityproperty(vSelf2, "rush_count");
	void vAniID2 = getentityproperty(vSelf2,"animationID");
	void vHeal2 = getentityproperty(vSelf2,"health");
	void vAniPos2 = getentityproperty(vSelf2, "animpos");
	void vCrd2 = getplayerproperty(vSelf2, "credits", 0 + getglobalvar("credits"));
	void vLives2 = getplayerproperty(vSelf2,"lives", 0 + getglobalvar("lives"));
	int  iScore2 = getplayerproperty(vSelf2, "score", 0 + getglobalvar("score"));
	void iUp2 = playerkeys(iP2Index, 0, "moveup");
	void iDown2 = playerkeys(iP2Index, 0, "movedown");
	void iLeft2 = playerkeys(iP2Index, 0, "moveleft");
	void iRight2 = playerkeys(iP2Index, 0, "moveright");
	void iJump2 = playerkeys(iP2Index, 0, "jump");
	void iSpecial2 = playerkeys(iP2Index, 0, "Special");
	void iAttack2 = playerkeys(iP2Index, 0, "attack");
	void iUpR2 = playerkeys(iP2Index, 2, "moveup");
	void iDownR2 = playerkeys(iP2Index, 2, "movedown");
	void iLeftR2 = playerkeys(iP2Index, 2, "moveleft");
	void iRightR2 = playerkeys(iP2Index, 2, "moveright");
	void iJumpR2 = playerkeys(iP2Index, 2, "jump");
	void iSpecialR2 = playerkeys(iP2Index, 2, "Special");
	void iAttackR2 = playerkeys(iP2Index, 2, "attack");
	if(r == 2){
		changeplayerproperty(vSelf, "score", iScore+100);
		drawstring(148, 11, 1, "Bonus_");          
	}
	if(r == 3){
		changeplayerproperty(vSelf, "score", iScore+100);
		drawstring(148, 11, 1, "Bonus_"); 
	}
	if(r == 4){
		changeplayerproperty(vSelf, "score", iScore+100);
		drawstring(148, 11, 1, "Bonus_");          
	}
	if(r == 5){
		changeplayerproperty(vSelf, "score",iScore+100);
		drawstring(148, 11, 1, "Bonus_");   
	}
	if(r == 6){
		changeplayerproperty(vSelf, "score",iScore+100);
		drawstring(148, 11, 1, "Bonus_");  
	}
	if(r == 7){
		changeplayerproperty(vSelf, "score",iScore+100);
		drawstring(148, 11, 1, "Bonus_");  
	}
	if(r == 8){
		changeplayerproperty(vSelf, "score",iScore+100);
		drawstring(148, 11, 1, "Bonus_");
	}  
	if(r == 9){
		changeplayerproperty(vSelf, "score",iScore+100);
		drawstring(148, 11, 1, "Bonus_");  
	}
	if(r >= 10 && r <= 14){
		changeplayerproperty(vSelf, "score",iScore+200);
		drawstring(155, 11, 1, "Bonus_");  
	}
	if(r >= 15 && r <= 19){
		changeplayerproperty(vSelf, "score",iScore+200);
		drawstring(155, 11, 1, "Bonus_");
	}
	if(r >= 20){
		changeplayerproperty(vSelf, "score",iScore+300);
		drawstring(155, 11, 1, "Bonus_");
	}
}
